Installing the new version of GStreamer on raspberry

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Installing the new version of GStreamer on raspberry

TouchOfDestiny
Hi,

I noticed that the version installed on my raspberry (Debian Jessie) was very old: 1.4.4. I tried to update it with apt-get, without success. Then, I decided to install it manually. The problem now is that when I enter gst-launch-1.0 --version the system shows
gst-launch-1.0 version 1.12.1 but
GStreamer version 1.4.4.

I don't know if this is correct. If not, is there a way toto update it properly?

Thanks!
David.

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Installing the new version of GStreamer on raspberry

Tim Müller
On Fri, 2017-07-21 at 01:20 -0700, TouchOfDestiny wrote:

Hi,

> ... decided to install it manually.
> The problem now is that when I enter
> gst-launch-1.0 --version the system shows
> gst-launch-1.0 version 1.12.1 but 
> GStreamer version 1.4.4.
>
> I don't know if this is correct. If not, is there a way toto update
> it properly?

It's not entirely correct.

What it means is that the gst-launch-1.0 you are running is the one
from 1.12 (so your PATH is fine), but that the libgstreamer-1.0.so that
gets picked up by the dynamic linker is the old system one (1.4) and
not the new one you compiled.

First thing to try is: run 'sudo ldconfig'

If that doesn't help, check if the library directory of your install
prefix is in /etc/ld.so.conf*

You can also manually set/export the LD_LIBRARY_PATH environment
variable and point it to the lib directory of the prefix where you
installed the new GStreamer into.

Cheers
 -Tim


--
Tim Müller, Centricular Ltd - http://www.centricular.com

Join us at the GStreamer Conference!
21-22 October 2017 in Prague, Czech Republic
http://gstreamer.freedesktop.org/conference/
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Installing the new version of GStreamer on raspberry

TouchOfDestiny
Hi Tim and thanks for your answer!

The versions are both correct. Unfortunately I have a warning now:

WARNING: erroneous pipeline: no element "alsasrc".

This has probably to do with plugins. But I installed them too. Do you have any idea?

Thanks,
D.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Installing the new version of GStreamer on raspberry

TouchOfDestiny
In reply to this post by Tim Müller
Hi Tim,

I managed to install it by downloading a script that installs and compiles everything:

https://gist.github.com/sqwk/096d789f789335019756

Thanks for your suggestion.
Davide
Loading...